# Introduction

This is a repository of Terraform modules for Oracle Applications. The repository contain modules for these applications.

* [**Oracle E-Business Suite**](https://github.com/oracle/cloud-asset-appsul-terraform-samples/tree/master/EBusinessSuite)
* [**JD Edwards**](https://github.com/oracle/cloud-asset-appsul-terraform-samples/tree/master/JDEdwards)
* [**Siebel CRM**](https://github.com/oracle/cloud-asset-appsul-terraform-samples/tree/master/SiebelCRM)

All these applications can be deployed on Oracle Cloud Infrastructure in single availability domain or multiple availability domain architecture. The Terraform modules allow you to provision infrastructure for these applications on Oracle Cloud Infrastructure using Terraform. 

# Repository Folder Structure
The following directories are contained within this repository:

**/EBusinessSuite**
* This folder contains Terraform modules for Oracle E-Business Suite

**/JDEdwards**
* This folder contains Terraform modules for JD Edwards

**/SiebelCRM**
* This folder contains Terraform modules for Siebel CRM

For more information on deployment architecture of Oracle applications on Oracle Cloud Infrastructure, see

### Oracle E Business Suite
- [Architecture for Deploying Oracle E-Business Suite in a Single Availability domain](https://docs.oracle.com/en/solutions/deploy-ebusiness-suite-oci/index.html#GUID-1F8ACA7B-C147-446F-A4A4-AD70E4ECCA66)

- [Architecture for Deploying Oracle E-Business Suite in Multiple Availability domains](https://docs.oracle.com/en/solutions/deploy-ebusiness-suite-oci/index.html#GUID-43B8797E-A2BD-4CA2-A4A9-0E19DB15DA3B)


### JD Edwards
- [Architecture for Deploying JD Edwards in a Single Availability domain](https://docs.oracle.com/en/solutions/learn-architecture-deploy-jd-edwards/index.html#GUID-02AF6D3A-EC4C-4E73-8F07-9FED516A87EC)

- [Architecture for Deploying JD Edwards in Multiple Availability domains](https://docs.oracle.com/en/solutions/learn-architecture-deploy-jd-edwards/index.html#GUID-70720E0B-0A03-4784-8DF6-4BF58445C15E)


### Siebel CRM
- [Architecture for Deploying Siebel CRM in a Single Availability domain](https://docs.oracle.com/en/solutions/learn-architecture-deploy-siebel/index.html#GUID-CE993A4C-CFEF-4F55-8489-0905D796CBAA)




# License
Copyright © 2018, Oracle and/or its affiliates. All rights reserved. 
The Universal Permissive License (UPL), Version 1.0 
Please see LICENSE.md for full details
